Bug 111016 - DataQueryDataCollectionAdapter.getObjectType() fails if next() has not yet been called.
Summary: DataQueryDataCollectionAdapter.getObjectType() fails if next() has not yet be...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: persistence (Show other bugs)
(Show other bugs)
Version: 5.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-26 15:17 UTC by Scott Seago
Modified: 2007-04-18 16:59 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-09 15:36:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Scott Seago 2003-11-26 15:17:10 UTC
Description of problem:
DataQueryDataCollectionAdapter.getObjectType() calls
getDataObject().getObjectType() to return the object type. This fails
if next() has not yet been called. One consequence of this is that you
cannot filter on permissions, as the permissions code calls
getObjectType() on the passed-in DataQuery

London 5.2 change 38321 changes this to:
(ObjectType) getType().getProperty(m_dataObjectProperty).getType();

so that filtering is possible.



Version-Release number of selected component (if applicable):
5.2 and later.

How reproducible:
always

Steps to Reproduce:
1. call getObjectType on a DataQueryDataCollectionAdapter before
calling next() on it.

Comment 1 Scott Seago 2003-11-26 16:24:57 UTC
Forgot to remove the fixme comment in the above changelist. 38324
removes it.


Note You need to log in before you can comment on or make changes to this bug.